|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions
gameplay::NodeCloneContext Class Reference

`#include <Node.h>`

List of all members.

## Public Member Functions

| NodeCloneContext ()
| ~NodeCloneContext ()
Animation * | findClonedAnimation (const Animation *animation)
void | registerClonedAnimation (const Animation *original, Animation *clone)
Node * | findClonedNode (const Node *node)
void | registerClonedNode (const Node *original, Node *clone)

## Detailed Description

NodeCloneContext represents the context data that is kept when cloning a node. The NodeCloneContext is used to make sure objects don't get cloned twice.

## Constructor & Destructor Documentation

gameplay::NodeCloneContext::NodeCloneContext | ( |  | ) |

Constructor.

gameplay::NodeCloneContext::~NodeCloneContext | ( |  | ) |

Destructor.

## Member Function Documentation

Animation* gameplay::NodeCloneContext::findClonedAnimation | ( | const Animation * | animation | ) |

Finds the cloned animation of the given animation or NULL if this animation was not registered with this context.

Parameters:

  animation | The animation to search for the cloned copy of.

Returns:
  The cloned animation or NULL if not found.

Node* gameplay::NodeCloneContext::findClonedNode | ( | const Node * | node | ) |

Finds the cloned node of the given node or NULL if this node was not registered with this context.

Parameters:

  node | The node to search for the cloned copy of.

Returns:
  The cloned node or NULL if not found.

void gameplay::NodeCloneContext::registerClonedAnimation | ( | const Animation * | original,
|  | Animation * | clone
| ) |  |

Registers the cloned animation with this context so that it doesn't get cloned twice.

Parameters:

  original | The pointer to the original animation.
  clone | The pointer to the cloned animation.

void gameplay::NodeCloneContext::registerClonedNode | ( | const Node * | original,
|  | Node * | clone
| ) |  |

Registers the cloned node with this context so that it doens't get cloned twice.

Parameters:

  original | The pointer to the original node.
  clone | The pointer to the cloned node.

All Classes Functions Variables Typedefs Enumerations Enumerator